Date: Fri, 10 Sep 2010 13:46:13 +0000
Mime-Version: 1.0 (Produced by PhpWiki 1.4.0RC1)
X-Rcs-Id: $Id: Help%2FRecentChangesPlugin 7682 2010-09-10 12:03:36Z vargenau $
Content-Type: application/x-phpwiki;
  pagename=Help%2FRecentChangesPlugin;
  flags=PAGE_LOCKED%2CEXTERNAL_PAGE;
  markup=2;
  charset=UTF-8
Content-Transfer-Encoding: binary

The **~RecentChanges** [[Help:WikiPlugin|plugin]] lists the most recent
modifications in the wiki.

== Usage ==
{{{
<<RecentChanges arguments>>
}}}

== Arguments ==

{| class="bordered"
|-
! Argument
! Description
! Default value
|-
| **pagename**
| The page to execute upon
| current pagename
|-
| **days**
| Number of days. Specifying 0 will display modifications since wiki creation.
| 2
|-
| **show_minor**
| Show minor modifications
| false
|-
| **show_major**
| Show major modifications
| true
|-
| **show_all**
| Display a page multiple times if it was modified more that once.
| false
|-
| **show_deleted**
| Show deleted pages
| sometimes
|-
| **only_new**
| Show only new pages
| false
|-
| **author**
| Show only modifications from a specific author
| false
|-
| **owner**
| Show only pages from a specific owner
| false
|-
| **limit**
| Do not show more pages that the limit.
| false
|-
| **format**
| Default is HTML. Other: rss, rss2, rss091, atom, sidebar, box, contribs
| false
|-
| **daylist**
| Comma-separated list of days
| false
|-
| **difflinks**
| Show diff links
| true
|-
| **historylinks**
| Show history links
| false (true for Monobook and FusionForge)
|-
| **caption**
| Custom caption
|
|-
| **category**
| Limit pages to a given category
|
|-
| **pagematch**
| Limit to pages matching pattern
|
|}

== Example ==

{{{
<<RecentChanges limit=10>>
}}}

<<RecentChanges limit=10>>

{{{
<<RecentChanges show_minor=1>>
}}}

{{{
<<RecentChanges days=30>>
}}}

== Author ==
* [[PhpWiki:ReiniUrban|Reini Urban]]

== See Also ==

<noinclude>
----
[[PhpWikiDocumentation]] [[CategoryWikiPlugin]]
</noinclude>
